Skip to main content
GET
/
networks
/
billings
/
affiliates
/
invoices
/
{invoiceId}
Get Partner Invoice
curl --request GET \
  --url https://api.eflow.team/v1/networks/billings/affiliates/invoices/{invoiceId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_invoice_id": 123,
  "network_id": 123,
  "network_affiliate_id": 123,
  "status": "paid",
  "start_time": "<string>",
  "end_time": "<string>",
  "balance": 123,
  "billed": 123,
  "paid": 123,
  "public_notes": "<string>",
  "internal_notes": "<string>",
  "is_hidden_affiliate": true,
  "payment_terms": 123,
  "time_created": 123,
  "time_saved": 123,
  "relationship": {}
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

invoiceId
integer
required

The unique invoice ID.

Query Parameters

relationship
string

Include related data such as line items.

Response

OK

network_affiliate_invoice_id
integer

Unique invoice ID.

network_id
integer

Network ID.

network_affiliate_id
integer

Affiliate ID this invoice belongs to.

status
enum<string>

Invoice status.

Available options:
paid,
unpaid,
deleted
start_time
string

Invoice period start date.

end_time
string

Invoice period end date.

balance
number<double>

Outstanding balance.

billed
number<double>

Total billed amount.

paid
number<double>

Total paid amount.

public_notes
string

Notes visible to the affiliate.

internal_notes
string

Internal notes visible only to network users.

is_hidden_affiliate
boolean

Whether the invoice is hidden from the affiliate.

payment_terms
integer

Payment terms in days.

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.

relationship
object

Related data such as line items (when requested).